Loading...
Searching...
No Matches
Opm::Properties::Detail::GetDefinedSplice< TypeTag, std::tuple< LastTypeTag > > Struct Template Reference

## Public Types

using | LastSplice = Splices<TypeTag, LastTypeTag>
using | nexttuple
using | type

## Member Typedef Documentation

## nexttuple

template<class TypeTag, class LastTypeTag>

using Opm::Properties::Detail::GetDefinedSplice< TypeTag, std::tuple< LastTypeTag > >::nexttuple

Initial value:
typename GetNextSpliceTypeTag<TypeTag,
ConCatTuples<
std::tuple<LastTypeTag>,
typename LastSplice::type
>,
void>::type
Opm::Properties::Detail::ConCatTuples
decltype(std::tuple_cat(std::declval< Tuples >()...)) ConCatTuples
helper alias to concatenate multiple tuples
Definition propertysystem.hh:71
Opm::Properties::Detail::GetNextSpliceTypeTag
helper struct to iterate over the TypeTag hierarchy
Definition propertysystem.hh:140

## type

template<class TypeTag, class LastTypeTag>

using Opm::Properties::Detail::GetDefinedSplice< TypeTag, std::tuple< LastTypeTag > >::type

Initial value:
std::conditional_t<isDefinedSplice<LastSplice>(int{}),
ConCatTuples<nexttuple, typename LastSplice::type>,
nexttuple>

The documentation for this struct was generated from the following file:

- opm/models/utils/propertysystem.hh